CLS
@echo off

echo /*----------------------------------------------------------------------------
echo  *           Kod programu w formacie: TI .txt albo INTEL .a43 
echo  * ---------------------------------------------------------------------------
echo  * 1. [-n] Nazwa  programowanego mikrokontrolera.
echo  * 2. [-i] Interfejs komunikacyjny. (USB/LPTn/COMn, gdzie n to numer portu).  
echo  * 3. [-m] Tryb komunikacji z MSP430. (JTAG/SBW2/SBW4/AUTO). 
echo  * 4. [-w] Nazwa pliku z kodem programu (format TXT, albo HEX). 
echo  * 5. [-e] Wybor trybu kasowania pamieci. (ERASE_ALL/ERASE_MAIN/ERASE_SEGMENT).
echo  * 6. [-v] Weryfikacja procesu programowania.
echo  * 7. [-z] Okreslenie stanu mikrokontrolera po zakonczeniu programowania.
echo  * ---------------------------------------------------------------------------
echo  * 1. Urzadzenie:                  -n MSP430FR5739
echo  * 2. Interfejs:                   -i USB
echo  * 3. Tryb:                        -m SBW2
echo  * 4. Plik z kodem programu:       -w in.a43
echo  * 5. Tryb kasowania pamieci:      -e ERASE_ALL
echo  * 6. Weryfikacja:                 -v       - wlaczona
echo  * 7. Stan MSP430:                 -z [VCC] - wlacz zasilania
echo  * ---------------------------------------------------------------------------
echo  */
MSP430Flasher.exe -n MSP430FR5739 -i USB -m SBW2 -w in.a43 -e ERASE_ALL -v -z [VCC]
pause